=== debian/changelog ===
dnprogs (2.18-1) unstable; urgency=low

  * Fix dependancies in dnet-progs so libdnet gets pulled in too even when
    build by the autobuilders. Closes: bug#122893
  * Fix sending of binary files by FAL by block.
  * Add .html, .tgz & .bz2 file types to FAL types list

 -- Patrick Caulfield <patrick@debian.org>  Mon, 10 Dec 2001 10:15:12 +0000

dnprogs (2.17-1) unstable; urgency=low

  * Don't print "done" when stopping daemons in dnet-progs.init.d
  * Use cuserid() rather than getlogin() to determine username so that
    commands run under su and sudo work as expected
  * include <stdarg> in rms/getreply.cc so it compiles on hppa
  * Use -fsigned-char when building uulib to make it more portable
  * Fixed message "Error opening file for input: Success" when attempting
    to fetch a locked file using dncopy
  * Fix some lintian warnings

 -- Patrick Caulfield <patrick@debian.org>  Wed,  7 Nov 2001 15:15:28 +0000

dnprogs (2.16-1) unstable; urgency=low

  * Remove pre-increment in FAL so that close-time attributes get
    applied to the right file - and don't crash on the last file.
  * Look at OPEN as well as CLOSE time attributes for SPL, DLT and TEF.
  * fal's directory output now correctly sends the new directory information
    if a double wildcard is used: eg [*]*
  * Fix bug in fal where binary files got corrupted if copied in "record"
    mode
  * setether now also sets the default interface for 2.4 kernels

 -- Patrick Caulfield <patrick@debian.org>  Tue, 16 Oct 2001 14:25:38 +0100

dnprogs (2.15-1) unstable; urgency=low

  * in librms/parse.cc pass va_list in a wrapper struct so that it works on
    powerpc systems.  Closes: bug#111680
  * add set -e to Makefile so it gives up on error. I never was any good at
    writing Makefiles.
  * Minor manpage changes.

 -- Patrick Caulfield <patrick@debian.org>  Sat, 15 Sep 2001 13:26:46 +0100

dnprogs (2.14-1) unstable; urgency=low

  * Fixed random failures of dnet_conn caused by uninitialised structure member.
  * Added printf-style variable arg lists to librms rms_t_* functions
  * Made rpm generate sensible arch codes.
  * setether puts the card in "allmulti" mode. Some cards need this to
    collect the hello messages.
  * added -s (show stats) option to dncopy.

 -- Patrick Caulfield <patrick@debian.org>  Mon,  3 Sep 2001 15:53:48 +0100

dnprogs (2.13-1) unstable; urgency=low

  * Fix use of __GLIBC__ macro
  * Allow binary keys in librms
  * Remove debugging printf from dnet_conn function

 -- Patrick Caulfield <patrick@debian.org>  Tue,  7 Aug 2001 19:32:06 +0100

dnprogs (2.12-1) unstable; urgency=low

  * Don't use makedepend for dependancies.
    Closes: bug#104961
  * Fix symlinks for dn_accept man page

 -- Patrick Caulfield <patrick@debian.org>  Tue, 17 Jul 2001 10:18:32 +0100

dnprogs (2.11-1) unstable; urgency=low

  * Remove build-depends on fakeroot so it can build on MIPS/MIPSEL
    Closes: bug#101427
  * Minor source code fixes so it will compile cleanly with GCC 3.0
  * Added German template for debconf in dnet-common. Thanks to Sebastian Feltel
    Closes: bug#101606

 -- Patrick Caulfield <patrick@debian.org>  Wed, 20 Jun 2001 13:22:34 +0100

dnprogs (2.10-1) unstable; urgency=low

  * Fix crash in libdap if the first byte of a message is the last
    byte of a packet.
  * Add man page symlinks for dnet_accet/dnet_reject and
    dnet_endnode/dnet_nextnode.   Closes: bug#99611

 -- Patrick Caulfield <patrick@debian.org>  Sat,  2 Jun 2001 11:03:54 +0100

dnprogs (2.09-1) unstable; urgency=low

  * Fix config script to allow node numbers > 63
  * Fix compiling on latest libc
  * dnet-common is arch independant
  * Tidy depends and build-depends
  * Changed use of debconf isdefault to seen

 -- Patrick Caulfield <patrick@debian.org>  Sat, 24 Feb 2001 13:33:42 +0000

dnprogs (2.08-1) unstable; urgency=low

  * First Debian upload.  Closes: bug#83642
  * Split into 4 packages.
  * FAL now correctly uses metadata for block-structured files.

 -- Patrick Caulfield <patrick@debian.org>  Sun,  4 Feb 2001 14:23:07 +0000

dnprogs (2.07-1) stable; urgency=low

  * Fix VMS errors sending block-structured files from fal
  * Added support for Ultrix DATE DAP message (another "new" extension)
  * Cope better with VMS errors when sending files (eg. disk full)
  * Changed some prototypes in netdb.h to match Ultrix
  * Fixed compile of phone because of stupid ncurses symbol
  * dnet_conn() is Ultrix-compatible (with a 2.4 kernel)
  * Substantial enhancements to mail to make it work. But only on 2.4 kernels
  * New function dnet_eof. Again, only for 2.4 kernels
  * Shared libraries linked correctly now (according to lintian)
  * Made it work properly on big-endian machines under 2.4
  * Vastly improved debian package
  * Mucked around with nearly all of the man pages a little
  * Made startnet set the MAC address of any or all interfaces
  * Added -f (force) to startnet to make it DOWN an interface before mucking
    about with it.
  * This file is now a Debian changelog

 -- Patrick Caulfield <patrick@debian.org>  Sat,  28 Jan 2000 15:13:09 +0000

dnprogs (2.06-1) stable; urgency=low

  * Fix build of phone on Debian Potato systems
  * Fix bug in FAL where it truncated some binary files in stream mode.
  * Improve performance and system overhead of ctermd & sethost
  * Fixed & tidied RPM building
  * Fixed phone bug so you can dial users by node number now
  * A small number of potential buffer overflows removed from dnetd &
    libdnet_daemon
  * Fixed compilation of phone on SuSE 6.4 & RedHat 6.2 systems
  * librms rms_open with O_CREAT is now useful
  * Fixed several memory leaks in libdnet_daemon (and thus dnetd)
  * dnetd now really re-reads the proxy DB every time
  * ctermd no longer goes into a tight loop if you ^Y^Y the session
  * Updated my email address

 -- Patrick Caulfield <patrick@tykepenguin.com>  Sat,  28 Oct 2000 19:33:06 +0000

dnprogs (2.05-1) stable; urgency=low


