## dnprogs 2.27

=== apps/Makefile ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	install -m 0755 -s $(PROG2) $(prefix)/bin
 	install -m 0755 -s $(PROG4) $(prefix)/bin
 	install -m 0755 -s $(PROG5) $(prefix)/sbin
+	install -m 0700 setether.sh $(prefix)/sbin/setether
 	if [ -f $(PROG6) ]; then install -m 0750 -s $(PROG6) $(prefix)/sbin; fi
 	install -m 0755 -s $(PROG7) $(prefix)/sbin
 	install -m 0644 $(MANPAGES1) $(prefix)/man/man1
