=== dnsubmit/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 all: $(PROG1) $(PROG2)
 
-$(PROG1): $(PROG1OBJS)
+$(PROG1): $(PROG1OBJS) $(DEPLIBS)
 	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)
 
 $(PROG2): $(PROG1)
