=== debian/changelog ===
dnprogs (2.27) unstable; urgency=low

  * Fix signal handling in sethost so it doesn't die with an embarrassing
    "Alarm clock" message.
  * Add dependancy on modutils. Closes: #251508

 -- Patrick Caulfield <patrick@debian.org>  Sun, 30 May 2004 10:13:57 +0100

dnprogs (2.26) unstable; urgency=low

  * dnetd: Fix log function that could cause daemons to segfault if 
           they ran as a user with an invalid home directory.
  * Minor tweaks to rpm building so the Red Hat users always get
    a useful startup script.
  * Remove some cruft from the Makefile.

 -- Patrick Caulfield <patrick@debian.org>  Wed,  5 Nov 2003 10:30:29 +0000

dnprogs (2.25) unstable; urgency=low

  * po-debconf support and German & French description translations
    Closes: #210661, #211635
  * Get rid of the "-1" in the version number as it's not right, this 
    really is a debian package. But include a README.Debian to keep 
    some people happy.
    Closes: #197332
  * Don't use SIGIO in sethost as it's unreliable and tacky.

 -- Patrick Caulfield <patrick@debian.org>  Wed, 24 Sep 2003 13:57:47 +0100

dnprogs (2.24-1) unstable; urgency=low

  * support for large files.

 -- Patrick Caulfield <patrick@debian.org>  Fri,  6 Jun 2003 12:03:39 +0100

dnprogs (2.23.2-1) unstable; urgency=low

  * Always return 0 from init scripts in case someone installs DECnet
    when they don't actually want it.
    Closes: #192052

 -- Patrick Caulfield <patrick@debian.org>  Tue,  6 May 2003 08:14:29 +0100

dnprogs (2.23.1-1) unstable; urgency=low

  * Add library path to dnroute link.
    Closes: #191946
  * Get rid of C++ism in dnroute

 -- Patrick Caulfield <patrick@debian.org>  Mon,  5 May 2003 09:26:55 +0100

dnprogs (2.23-1) unstable; urgency=low

  * sethost no longer gets stuck in a tight loop after shutting down
    a node.
  * Move libdnet-dev to libdevel section.
  * dnroute is now included.
  * Add routing support to init scripts

 -- Patrick Caulfield <patrick@debian.org>  Sun,  4 May 2003 13:14:33 +0100

dnprogs (2.22-1) unstable; urgency=low

  * Make some bits of dncopy conditional on it being connected to VMS.
    This helps with RSX connectivity.
  * Fix bug in fal where it sends an extra newline at the end of a text file.
  * Make .fal metadata directories 0777 so multiple users can use them.
  * Make metadata file have the same protection as the real file
  * Make records array (for VAR files) increase by 100s rather than 10s as
    that's far too weedy.
  * Red Hat startup scripts sets node name and default device now.
  * getnodename & setnodename in libdnet actually work now.
  * Tidy PTY definitions in Makefile.common & fix PTYs in rmtermd.
    Thanks to Maciej W. Rozycki
  * Fixes and chkconfig to the Red Hat startup script.
    Thanks to Mats Magnusson
  * Added loads of new error messages to libdap so it should be able to
    make sense of most DAP errors now.
  * Minor changes to debian control files to get rid of lintian/linda
    warnings.

 -- Patrick Caulfield <patrick@debian.org>  Sat,  2 Nov 2002 18:18:02 +0000

dnprogs (2.21-1) unstable; urgency=low

  * Don't check_kernel when building DEBS so
    autobuilders can build it. Instead default to kernel 2.4.x
    Previously I had done this manually but I often forgot, this
    should remove that possibility
  * Suggest: kernel-image-2.4

 -- Patrick Caulfield <patrick@debian.org>  Fri, 13 Sep 2002 11:48:28 +0100

dnprogs (2.20-1) unstable; urgency=low

  * Fix vroot not NUL-terminating names properly
  * Fix sethost on 2.4.19+ kernels.
  * FAL fix overrun when sending binary files in record mode - OK you
    shouldn't do that anyway, but FAL shouldn't fail on you either.
  * Fix dncopy -mblock when copying file from VMS.
  * dncopy blocks ATTRIB & ACCESS messages for efficiency.
  * Mention libdumbnet in package description in case people are looking
    for libdnet.sf.net software.

 -- Patrick Caulfield <patrick@debian.org>  Fri, 13 Sep 2002 11:31:45 +0100

dnprogs (2.19-1) unstable; urgency=low

  * Suggests: iproute
  * dnet-progs.init.d doesn't give errors when stopping on a
    system with no DECnet in the kernel
  * Remove node_address setting from modutils into init.d so
    it works when DECnet is compiled into the kernel
  * Makefile fixes
  * startnet fixes to arg parsing
  * phone uses pixmap directory properly
  * ctermd now responds to DEL, ^X etc (hooray!)
  * dnetd task_server now won't run arbitrary programs.
  * dntask prints error messages if the connection fails.
  * setether uses "ip" command if available rather than ifconfig
  * Added timeout switch to dnping
  * FAL no longer eats directories starting with '0'
    Thanks to Matjaz Godec
  * Add virtual-root feature to FAL
  * Change to libdnet_daemon to allow RSX to connect
  * Fixed truncate option in FAL
  * Fixed wildard fetching in FAL so it works with dncopy
  * Changes to FAL to allow RSX file transfers

 -- Patrick Caulfield <patrick@debian.org>  Wed, 17 Jul 2002 16:38:52 +0100
