## dnprogs 2.28

=== debian/changelog ===
dnprogs (2.28) unstable; urgency=low

  * Makefile fixups from Maciej W. Rozycki
  * FAL now accepts VMS directories with "][" in them, eg those
    produced by concatenated logicals.

 -- Patrick Caulfield <patrick@debian.org>  Wed, 15 Dec 2004 10:50:44 +0000

dnprogs (2.27.1) unstable; urgency=low

  * Add Dutch debconf translation. Closes: #254842

 -- Patrick Caulfield <patrick@debian.org>  Fri,  9 Jul 2004 13:24:49 +0100
